*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    /*font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;*/
    font-family: "Quicksand", sans-serif; /* goggle font lavet af Andrew Paglina*/
}

body{
   /* background-color: #ecffd4;*/
    height: 100vh;
    height: 100dvh;
    min-width: 475px;
    overflow: scroll;
    background-color: #ecffd4;
  }


h1 h2 h3 h4 h5 h6{
    font-family: "Quicksand", sans-serif;
    font-weight: bolder;
   /* text-shadow: 1px 1px  #999;*/
   
}

p{
  line-height: 1.5em;
}

/*#divider{
  line-height: unset;
  margin: unset;
  padding: unset;
}*/


.skip-menu{
    opacity: 0;
    pointer-events: none;
    position: absolute;
    top: 10;
    right: 10;
    z-index: 1000;
    color: black;
    background-color: #fffff3;
    padding: 0.8rem 1.5rem;
    text-decoration: none;
    font-size: 1rem;
    transition: opacity 0.3s ease;
}

.skip-menu:focus{
    opacity: 1;
    pointer-events: auto;
    outline: 3px solid #00dbff#fffff3;
}

img{
    max-width: 100%;  /*sikre at billedets respositivitet*/
    height: auto;
}

/*--------------------navigation-------------------------------*/

header{
    height: 180px;
    margin: 0%;
    background-color: #00dbff;
    position: relative;
    padding: 0;
}

header nav{
  position: absolute;
  bottom: 30px;
  right: 1.2rem;
}

header nav ul{
    list-style-type: none; /*fjerner bullet point*/
    padding: 0;
    background-color: #00dbff;
}

header nav li{
    padding: 0.8em;
    display: flex;
}

header nav ul a{
    color: #222;
    background-color: rgba(rgb(0, 0, 0), rgb(0, 0, 0), rgb(0, 0, 0), 0.8);
    text-decoration: none;
    font-size: 1.2rem;
    font-weight: bold;
}

header nav li a:hover{
    color: #ecffd4;  
}

/*-------------------------------- Breadcrumbs ---------------------------*/
.breadcrumbs{
  display: flex;
  justify-content: flex-start;
  align-content: center;
   width: 100vw;
  height: 60px;
  font-size: 16px;
  background-color: #7cedff;
  padding: 15px 15px 15px 3%;
}

.breadcrumbs nav {
  display:inline;
  flex-direction: row;
  gap: 5px;
  justify-content: flex-start;
  align-content: center;
  list-style-type: none;
  text-decoration: none;
}


.breadcrumbs ul li{
  display:inline;
  flex-direction: row;
  gap: 5px;
  align-content: center;
  list-style-type: none;
  text-decoration: none;
}

.breadcrumbs i{
  display: flex;
  justify-content: center;
  align-content: center;
  text-align: center;
  width: 30px;
  height: 30px;
  font-size: 1.3rem;
  background-color: #ecffd4;
  padding-top: 5px;
  box-shadow: 1px 1px 4px 0px #999;
  border-radius: 10px;
}


.breadcrumbs a{
  cursor: pointer;
  color: #444;
  padding-right: 5px;
  display:inline-block;
  list-style-type: none;
  text-decoration: none;
}

.breadcrumbs .active a:hover{
  color: black;
}

/*ul.breadcrumb li+li:before {
  padding: 8px;
  color: black;
  content: "/\00a0";
}
*/


/*-----------------------------------main---------------------*/
main h1{
  font-size: 3rem;
  font-weight: bolder;
  text-align: center;
}

main{
  background-color: #ecffd4;
  flex-shrink: 0;
}

.containstorknap{ 
  display: flex;
  flex-wrap: wrap;
  gap: 15px;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 15px;
  justify-content: center;
  align-content: center;
  align-items: center;
}

.lektion{
  display: flex;
  flex-direction: column;
  align-content: center;
  justify-content: center;
  font-size: 1.5rem;
  padding: 20px 3%;
  margin-bottom: 30px;
  gap: 15px;
  border: 5px white solid;}

.border{
  border: #a6e51c 5px solid;
  border-radius: 10px;
}

.tematekst{
  display: flex;
  flex-direction: column;
  align-content: center;
  justify-content: center;
  gap: 15px;
  padding: 1.2rem 0.8rem;
}

.lektion ul li{
  text-decoration: none;
  margin-left: 20px;
  font-size: 1.5rem;
  font-weight: bold;
}


.temaimg{
    width: 80%;
    height: auto;
    margin: 10 auto;
  }

  .container_lektion{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap:20px;
    justify-content: center;
    align-content: center;
    align-items: center;
    font-size: 1.5rem;
  }

  .container_lektion h2{
    font-size: 1.8rem;
    text-align: center;
    
  }

  .spring{
    width:400px;
    flex-grow: 1;
    background-color: #a6e51c;
    border-radius: 10px;
    padding: 10px;
    border: white 5px solid;
    display: flex;
    justify-content: center;
    flex-direction: column;
  }

  .spring img{
    margin: 0px auto;
    
  }
  .summer{
    display: flex;
    justify-content: center;
    flex-direction: column;
    width:400px;
    flex-grow: 1;
    background-color: #f9da23;
    border-radius: 10px;
    padding: 10px;
    border: white 5px solid;
  }

  .summer img{
    margin: 0px auto;
  }

  .fall{
    width:400px;
    flex-grow: 1;
    background-color: #f7931e;
    border: white 5px solid;
    border-radius: 10px;
    padding: 10px;
    display: flex;
    justify-content: center;
    flex-direction: column;
  }

  .fall img{
     margin: 0px auto;
  }

  .winter{
    width:400px;
    flex-grow: 1;
    background-color: #00dbff;
    border: white 5px solid;
    border-radius: 10px;
    padding: 10px;
    display: flex;
    justify-content: center;
    flex-direction: column;
  }

   .winter img{
    margin: 0px auto;
  }

.storknap_g{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    align-content: center;
    width: 350px;
    height: 410px;
    background-color: #fffff3;
    border: 5px solid #a6e51c;
    border-radius: 10px;
    padding: 1.2rem 0.8rem;
    cursor: pointer;
    text-decoration: none;
    box-shadow: 1px 1px 4px 0px #999;
}

.storknap_b{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    align-content: center;
    width: 350px;
    height: 410px;
    background-color: #fffff3;
    border: 5px solid #7cedff;
    border-radius: 10px;
    padding: 1.2rem 0.8rem;
    cursor: pointer;
    text-decoration: none;
    box-shadow: 1px 1px 4px 0px #999;
}

.storknap_b img{
  margin-top: 15px;
}

.storknap_dg img{
  margin-top: 15px;
}

.storknap_g img{
  margin-top: 15px;
}

.storknap_dg{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    align-content: center;
    width: 350px;
    height: 410px;
    background-color: #fffff3;
    border: 5px solid #53e057;
    border-radius: 10px;
    padding: 1.2rem 0.8rem;
    cursor: pointer;
    text-decoration: none;
    box-shadow: 1px 1px 4px 0px #999;
}

.containerstorknap h2{
  color: #fffff3;
  text-align: center;
  margin-top: 20px;
  padding: 2px auto;
  text-decoration: none;
}


.containstorknap a img{
  display: flex;
  justify-content: center;
  width: 90%;
  margin: 2px auto 10px auto;
  opacity: 90%;
}

.containstorknap a img:hover{
  opacity: 100%;
}

.container_lektion h2{
  margin-top: 15px;
  margin-bottom: 30px;
}

aside h3{
  text-align: center;
}

/*------------------------------- kontakt form ----------------------*/
#kontaktform{
   max-width: 95%;
   /* border: 3px solid darkgreen;*/
    background-color: #ecffd4;
    border-radius: 10px;
    padding: 20px 50px;
    display: flex;
    flex-direction: column;
    margin: 10px auto; 
}

.form_tekst{
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  justify-content: center;
  font-size: 1.4em;

}

.form_tekst{
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  justify-content: center;
  font-size: 1.4em;
  border-top: #a6e51c 3px solid;
  border-bottom: #a6e51c 3px solid;
  margin-top: 15px;
  margin-bottom: 30px;
  
}

address{
  text-align: center;
}

.form_tekst a{
  text-decoration: none;
  font-weight: bolder;
  cursor: pointer;
  color: black;
  text-align: center;
}

.form_tekst a:hover{
  color: #7cedff;
  
}

#kontaktform p{
  display: block;
  width: 80%;
  font-size: 1em;
  margin: 15px auto;
}

label{
  color: black;
  font-size: 1.4em;
}

input[type=text], input[type=email], select, textarea{
  width: 100%;
  padding: 1em;
  border: 1px solid #53e057;
  border-radius: 5px;
  margin-top: 0,5em;
  margin-bottom: 2em;
  max-width: 100%;

}

.sendknap{
  width: 40%;
  height: 35px;
  display: block;
  margin: 10px auto;
  font-size: 1.3em;
  cursor: pointer;
  text-align: center;
  text-decoration: none;
  color: black;
  background-color: #7cedff;
  border: none;
  border-radius: 10px;
  box-shadow: 1px 1px 4px 0px #999;
  }

.sendknap:active{
  box-shadow: 0 1px #666;
  transform: translateY(4px);
  }
 /*------------------------------- audio------------------------------*/

 .audio{
    width: 465px;
    height: 70px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    align-self: center;
    padding: 10px 0px 10px 10px;
    background-color: #f2f4f5;
    border-radius: 5px;
    margin: 20px auto;
    border: 1px #a6e51c solid;
  }


  .audio p{
    padding-right: 10px;
    color: black;
    font-size: 18px;
    font-weight: bold;
  }

 /*----------------------------footer---------------------*/
  
footer{
    width: 100%;
    height: 80px;
    padding-top: 30px;
    color: black;
    background-color: #a6e51c;
    text-align: center;
    margin-top: 0;
  }

/*----------------------------------------------------Desktop-------------------------------------------------------*/


@media screen and (min-width: 769px){

  header{
    max-height: 250px;
    background-color: #00dbff;
  }

    #logo{
        height: 130px;
        width: auto;
        margin: 5px auto 0px 2.5rem;
    }


    #bars{
        display: none; /* fjerne det visuelt fra skærmen*/
    }

    nav ul{
        display: flex;
        justify-content: flex-end; /* her kan man specificere hvor meuen skal være*/
        margin-right: 4em;
    }


    /*------------ desktop main---------------*/

main{ 
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    /*border: #a6e51c 5px solid;
    border-radius: 10px;*/
    gap: 1.2em;
    padding: 1.5rem;
    margin: 1em 3rem 1em 3rem;
}

.hovedindhold{
  padding: 10px 18%;
 
  

}

.container_lektion{
  background-color: #fffff3;
  padding: 10px 3rem;
}

.lektion{
  background-color: #fffff3;
}

.lektion ul {
  display: flex;
  flex-direction: row;
  justify-content: center;
}

.lektion ul li{
  display: inline-block;
}

aside{
  height: auto;
  width: 80%;
  background-color:#00dbff;
  border: #7cedff 5px dotted;
  padding: 1%;
  position: relative;
  margin: 1% auto;

}

aside img{
height: auto;
width: 50px;
top: 5px;
margin-right: auto;
margin-left: auto;
}

aside .audio{
   width: 320px;
   padding-top: 5px;
   padding-bottom: 5px;
   padding-right: 5px;
   padding-left: 5px;
    
  }

}



/*mobil og tablet*/

@media screen and (max-width: 768px){

    #logo{
        height: 60px;
        aspect-ratio: auto;
        position: absolute;           
        top: 10px;
        left: 10px;
    }

    header nav{
        display: none; /* skjuler nav element i mobil version*/
    }

    header{
        display: flex;
        justify-content: flex-end;
        height: 110px;
    }

    main h1{
      font-size: 30px;
    }

    .show{
        display: block;
        position: absolute;
        top: 70px;
        left: 0;
        width: 100%;
        z-index: 100;
    }

    button#bars{
      background-color: #00dbff;
        /*opacity: 0.8;*/
        border: none;
        margin-right: 15px;
    }

    #bars i{
        font-size: 1.5rem;
        color: black;
    }


main{ 
    display: flex;
    flex-wrap: wrap;
    flex-flow: column;
    align-items: center;
    height: auto;
    gap: 0.8em;
    padding: 1em 1em 1em 1em;
   /* margin: 1em 1em 1em 1em;
    border: #a6e51c 5px solid;
    border-radius: 10px;*/
}

.hovedindhold{
  background-color: #ecffd4;
  padding: 5px 2%;
}

.lektion{
  display: flex;
  flex-direction: column;
  align-content: center;
  justify-content: center;
  font-size: 1.5rem;
  padding: 5px 10px;
  margin-bottom: 15px;
  gap: 15px;
  border: unset;
}


.audio{
  max-width: 400px;
}


aside{
  height: auto;
  width: 450px;
  background-color:#00dbff;
  border: #7cedff 5px dotted;
  padding: 1%;
  position: relative;
  margin: 1% auto;

}

aside img{
height: auto;
width: 50px;
top: 5px;
padding: 5px;
margin-right: auto;
margin-left: auto;
}

.container_lektion h2{
  margin-top: 5px;
  margin-bottom: 10px;
}



#kontaktform{
   max-width: 95%;
   /* border: 3px solid darkgreen;*/
    background-color: #ecffd4;
    border-radius: 10px;
    padding: 20px 50px;
    display: flex;
    flex-direction: column;
    margin: 10px auto; 
}

#kontaktform p{
  display: block;
  width: 80%;
  font-size: 1em;
  margin: 10px auto;
}

input[type=text], input[type=email], select, textarea{
  width: 100%;
  padding: 1em;
  border: 1px solid #53e057;
  border-radius: 5px;
  margin-top: 0,5em;
  margin-bottom: 2em;
  max-width: 100%;
}


}